%global  base_name kwalletmanager

%global kwalletmanager 1

Name:    kwalletmanager5
Summary: Manage KDE passwords
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/utils/%{base_name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{base_name}-%{version}.tar.xz


Patch1: kwalletmanager-15.12.1-defaults.patch

BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kauth-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kservice-devel
BuildRequires:  kf5-kwallet-devel
BuildRequires:  kf5-kxmlgui-devel
BuildRequires:  kf5-rpm-macros

BuildRequires: cmake(KF5Archive)
%if ! 0%{?flatpak}
BuildRequires: cmake(KF5Auth)
%endif
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5JobWidgets)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5Service)
BuildRequires: cmake(KF5TextWidgets)
BuildRequires: cmake(KF5Wallet)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5XmlGui)

BuildRequires:  polkit-qt5-1-devel
BuildRequires:  qt5-qtbase-devel

Conflicts: kde-l10n < 17.03

%if 0%{?kwalletmanager}
Provides:  kwalletmanager = %{version}-%{release}
%endif

%description
KDE Wallet Manager is a tool to manage the passwords on your KDE system.


%prep
%autosetup -n %{base_name}-%{version} -p1


%build
%cmake_kf5 %{?flatpak:-DENABLE_KAUTH=OFF}

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop


%files -f %{name}.lang
%license LICENSES/*
%{_datadir}/dbus-1/services/org.kde.kwalletmanager5.service
%{_kf5_bindir}/kwalletmanager5
%{_kf5_datadir}/applications/kwalletmanager5-kwalletd.desktop
%{_kf5_datadir}/applications/org.kde.kwalletmanager5.desktop
%{_kf5_datadir}/icons/hicolor/*/actions/wallet-*
%{_kf5_datadir}/icons/hicolor/*/apps/kwalletmanager*.*
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/qlogging-categories5/kwalletmanager*
%{_kf5_metainfodir}/org.kde.kwalletmanager5.appdata.xml
%if ! 0%{?flatpak}
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmkwallet5.service
%{_datadir}/dbus-1/system.d/org.kde.kcontrol.kcmkwallet5.conf
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmkwallet5.policy
%{_kf5_libexecdir}/kauth/kcm_kwallet_helper5
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/kcm_kwallet5.so
%endif


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
